# Class SpeciesFormChangeStatusEffectTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeStatusEffectTrigger

- Defined in src/data/pokemon-forms.ts:247

#####
Index

### Constructors

constructor

### Properties

invert
statusEffects

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeStatusEffectTrigger(statusEffects, invert?): SpeciesFormChangeStatusEffectTrigger

- #### Parameters

  - statusEffects: StatusEffect | StatusEffect []
  - invert: boolean = false

  #### Returns SpeciesFormChangeStatusEffectTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:251

## Properties

### invert

invert: boolean

- Defined in src/data/pokemon-forms.ts:249

### statusEffects

statusEffects: StatusEffect []

- Defined in src/data/pokemon-forms.ts:248

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:260

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173